import data from './data.csv';
import {
  scaleOrdinal,
} from 'd3';

  // Categorize the depth values
function categorizeDepth(depth) {
  if (depth < 70) {
      return "shallow: depth < 70km";
  } else if (depth < 300) {
      return "intermediate: 70km ≤ depth < 300km";
  } else {
      return "deep: depth ≥ 300km";
  }
};

const colorValue = (d) => categorizeDepth(d.depth)

const colorScale = scaleOrdinal()
    .domain(data.map(colorValue))
    .range(['red', 'blue', 'green